oracle.dbtools.plugin.api.errors

## Class ProductErrorMessage.Identifier

- java.lang.Object
- - oracle.dbtools.plugin.api.errors.ProductErrorMessage.Identifier

- All Implemented Interfaces:
    Comparable<ProductErrorMessage.Identifier>
  Enclosing class:
    ProductErrorMessage

      public static class ProductErrorMessage.Identifier
      extends Object
      implements Comparable<ProductErrorMessage.Identifier>

  Represents the unique identifier for a `ProductErrorMessage`
  Author:
    cdivilly

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ProductErrorMessage.Identifier o)`
    `boolean` | `equals(Object obj)`
    `ProductErrorMessage` | `errorMessage(Translatable message, Translatable cause, Translatable action)` Produce a `ProductErrorMessage` instance for this error code
    `int` | `hashCode()`
    `static ProductErrorMessage.Identifier` | `of(CharSequence prefix, int code)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### errorMessage

          public ProductErrorMessage errorMessage(Translatable message,
                                                  Translatable cause,
                                                  Translatable action)

      Produce a `ProductErrorMessage` instance for this error code
      Parameters:
        `message` - The error
        `cause` - The cause of the error
        `action` - The action to take to address the error
      Returns:
        `ProductErrorMessage`

    - #### of

          public static ProductErrorMessage.Identifier of(CharSequence prefix,
                                                          int code)

    - #### compareTo

          public int compareTo(ProductErrorMessage.Identifier o)

      Specified by:
        `compareTo` in interface `Comparable<ProductErrorMessage.Identifier>`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010, 2022, Oracle and/or its affiliates.